/*
lkmonitor (Linux Kernel Monitor)

Application for monitoring and tuning a Linux kernel.

Copyright (C) 2005,2006  Fernando Apesteguía

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "lininfo.h"
#include "others.h"


void
on_fixed1_destroy (GtkObject * object, gpointer user_data)
{
   lkmonitor_exit();	
   gtk_main_quit ();
}


gboolean
on_window1_destroy_event (GtkWidget * widget,
			  GdkEvent * event, gpointer user_data)
{

  return FALSE;
}


void
on_window1_destroy (GtkObject * object, gpointer user_data)
{
  lkmonitor_exit();
  gtk_main_quit ();
}

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
gtk_widget_show(create_about());
}


void
on_quit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  lkmonitor_exit();
  gtk_main_quit();
  
}
